public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
@ 2024-03-02  7:10 Arthur Zamarin
  0 siblings, 0 replies; 5+ messages in thread
From: Arthur Zamarin @ 2024-03-02  7:10 UTC (permalink / raw
  To: gentoo-commits

commit:     20049e242c0fb8fc185ac5a4837406534d043d47
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Fri Mar  1 23:18:25 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  1 23:18:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=20049e24

dev-python/pytest-mypy-plugins: add 3.1.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/Manifest            |  1 +
 .../pytest-mypy-plugins-3.1.0.ebuild               | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pytest-mypy-plugins/Manifest b/dev-python/pytest-mypy-plugins/Manifest
index 35c418d577..a4509d2f93 100644
--- a/dev-python/pytest-mypy-plugins/Manifest
+++ b/dev-python/pytest-mypy-plugins/Manifest
@@ -1 +1,2 @@
 DIST pytest-mypy-plugins-3.0.0.gh.tar.gz 20643 BLAKE2B e9b124b23f0e606b8d6f098c5834f8b70b44a6d7f374b0d4132c1fc47429a7a72a98ac96edd61a21969d4bc46a27c49cda35a9e0f71ed93361e0346debe643af SHA512 a2c35b4b57cf8eff6ac303a7394f798e3b96359c1e0e6424d57f0c5680cf00b6e84b7a11bb138c4ab3c7464f13ad0fd6358e9f2c5957b36eec1d2835e31edcd7
+DIST pytest-mypy-plugins-3.1.0.gh.tar.gz 24331 BLAKE2B b4cae94e254f8da0ef8cd081479cbee4522150843ef3bbbd16ae6efe6722e44e84aa49e761e99699b75c94f8b44963e8f9eeefb5c5b3352411df4801a1bbc5b4 SHA512 4892b653b9cd2bbe5cd253c5f0472d48a6eaf5e1261d53ef0f1c53470c2589baf21d428a0873c64acca71eec38ef9653ec501e0746ffc564d30830ba68148f91

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild
new file mode 100644
index 0000000000..240e457a1e
--- /dev/null
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11,12} )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"
+HOMEPAGE="
+	https://pypi.org/project/pytest-mypy-plugins/
+	https://github.com/typeddjango/pytest-mypy-plugins/
+"
+
+SRC_URI="https://github.com/typeddjango/pytest-mypy-plugins/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.gh.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README* CHANGELOG*"
+
+RDEPEND="
+	>=dev-python/mypy-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.11[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/jsonschema[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/regex[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# tests need pytest_mypy_plugins.tests on the modules search path and
+	# python -m pytest preprends sys.path with ${S}
+	sed "s/\"pytest\"/\"MY_EPYTHON\", \"-m\", \"pytest\"/" \
+		-i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# substitute the correct interpreter
+	sed "s/MY_EPYTHON/${EPYTHON}/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_test
+	# reset for next interpreter run
+	sed "s/${EPYTHON}/MY_EPYTHON/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
@ 2024-02-25  2:27 Julien Roy
  0 siblings, 0 replies; 5+ messages in thread
From: Julien Roy @ 2024-02-25  2:27 UTC (permalink / raw
  To: gentoo-commits

commit:     e3c29d283259fc96a539b6884da2050d583ca9fa
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Sun Feb 25 01:12:23 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Feb 25 01:19:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e3c29d28

dev-python/pytest-mypy-plugins: workaround mypy-related test failure

Fix upstreamed: https://github.com/typeddjango/pytest-mypy-plugins/issues/137

Closes: https://bugs.gentoo.org/921901
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 .../pytest-mypy-plugins-2.0.0.ebuild                 |  7 ++++++-
 .../pytest-mypy-plugins-3.0.0.ebuild                 | 20 +++++++++++++++-----
 2 files changed, 21 insertions(+), 6 deletions(-)

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
index a3bf16184b..9f71cfe5bc 100644
--- a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -32,3 +32,8 @@ RDEPEND="
 "
 
 distutils_enable_tests pytest
+
+python_test() {
+	# --mypy-only-local-stub is a workaround for bug #921901
+	epytest --mypy-only-local-stub
+}

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
index 4dea09aa89..db59ede98f 100644
--- a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -34,9 +34,19 @@ RDEPEND="
 
 distutils_enable_tests pytest
 
-python_test() {
-	# Calling pytest directly causes module not to be imported correctly
-	sed "s/\"pytest\"/\"${EPYTHON}\", \"-m\", \"pytest\"/" \
+python_prepare_all() {
+	# tests need pytest_mypy_plugins.tests on the modules search path and
+	# python -m pytest preprends sys.path with ${PWD}/${S}
+	# --mypy-only-local-stub is a workaround for bug #921901
+	sed "s/\"pytest\"/\"MY_EPYTHON\", \"-m\", \"pytest\", \"--mypy-only-local-stub\"/" \
 		-i pytest_mypy_plugins/tests/test_explicit_configs.py || die
-	distutils-r1_python_test
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# substitute the correct interpreter
+	sed "s/MY_EPYTHON/${EPYTHON}/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	epytest --mypy-only-local-stub
+	# reset for next interpreter run
+	sed "s/${EPYTHON}/MY_EPYTHON/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
@ 2024-02-25  2:27 Julien Roy
  0 siblings, 0 replies; 5+ messages in thread
From: Julien Roy @ 2024-02-25  2:27 UTC (permalink / raw
  To: gentoo-commits

commit:     1e52bdd020a46c8e3fa477ee0b57ad570126a80d
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Sun Feb 25 01:16:25 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Feb 25 01:19:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1e52bdd0

dev-python/pytest-mypy-plugins: enable py3.12

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild | 2 +-
 dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
index 9f71cfe5bc..e26229dd45 100644
--- a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_11 )
+PYTHON_COMPAT=( python3_{11,12} )
 inherit distutils-r1
 
 DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
index db59ede98f..731ea16997 100644
--- a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_11 )
+PYTHON_COMPAT=( python3_{11,12} )
 inherit distutils-r1
 
 DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
@ 2023-08-29  5:39 Viorel Munteanu
  0 siblings, 0 replies; 5+ messages in thread
From: Viorel Munteanu @ 2023-08-29  5:39 UTC (permalink / raw
  To: gentoo-commits

commit:     4dbb66af6ffaa90f79243fe247b4318d9d88de23
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Mon Aug 28 16:37:27 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 16:37:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4dbb66af

dev-python/pytest-mypy-plugins: add 3.0.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/Manifest            |  1 +
 .../pytest-mypy-plugins-3.0.0.ebuild               | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/pytest-mypy-plugins/Manifest b/dev-python/pytest-mypy-plugins/Manifest
index 3a84cf3d79..97df09184c 100644
--- a/dev-python/pytest-mypy-plugins/Manifest
+++ b/dev-python/pytest-mypy-plugins/Manifest
@@ -1 +1,2 @@
 DIST pytest-mypy-plugins-2.0.0.gh.tar.gz 18444 BLAKE2B a9def96003d85d76984067194abdbb5259379c09d359be6a3de7d4a68df2f8c7ebd033632c645297062564943b6cdee885c793172338b52110590be6911f6a75 SHA512 743d88884e3eef03cb52ffde82e42522ea961db6a27be3cba17aadceb47e1456ffd20806559dd7a6b183536aba98e592e97e40911199c4defbe66bfceebbf229
+DIST pytest-mypy-plugins-3.0.0.gh.tar.gz 20643 BLAKE2B e9b124b23f0e606b8d6f098c5834f8b70b44a6d7f374b0d4132c1fc47429a7a72a98ac96edd61a21969d4bc46a27c49cda35a9e0f71ed93361e0346debe643af SHA512 a2c35b4b57cf8eff6ac303a7394f798e3b96359c1e0e6424d57f0c5680cf00b6e84b7a11bb138c4ab3c7464f13ad0fd6358e9f2c5957b36eec1d2835e31edcd7

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
new file mode 100644
index 0000000000..4dea09aa89
--- /dev/null
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_11 )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"
+HOMEPAGE="
+	https://pypi.org/project/pytest-mypy-plugins/
+	https://github.com/typeddjango/pytest-mypy-plugins/
+"
+
+SRC_URI="https://github.com/typeddjango/pytest-mypy-plugins/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.gh.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README* CHANGELOG*"
+
+RDEPEND="
+	>=dev-python/mypy-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.11[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/regex[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# Calling pytest directly causes module not to be imported correctly
+	sed "s/\"pytest\"/\"${EPYTHON}\", \"-m\", \"pytest\"/" \
+		-i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
@ 2023-07-01 18:15 Haelwenn Monnier
  0 siblings, 0 replies; 5+ messages in thread
From: Haelwenn Monnier @ 2023-07-01 18:15 UTC (permalink / raw
  To: gentoo-commits

commit:     d19b0602fb25724679bfff1ff8c218ce2f2f8e47
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Fri Jun 30 21:11:16 2023 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Fri Jun 30 21:13:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d19b0602

dev-python/pytest-mypy-plugins: add 2.0.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/Manifest            |  1 +
 .../pytest-mypy-plugins-2.0.0.ebuild               | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/pytest-mypy-plugins/Manifest b/dev-python/pytest-mypy-plugins/Manifest
index 1e72cbeeb..463d5fe1e 100644
--- a/dev-python/pytest-mypy-plugins/Manifest
+++ b/dev-python/pytest-mypy-plugins/Manifest
@@ -1 +1,2 @@
 DIST pytest-mypy-plugins-1.11.1.gh.tar.gz 18201 BLAKE2B a21b089321a3d632225e0ac6aa921b23bba111dcc5234c2ada32522b7659533970a9bd19bb432d3304b0291e32ba067ab75c549c4552ca742835155ab8e711b1 SHA512 ac7a0973aba070c80480681f2910d40c7e510c906f8030413ba5c94f50131df19036c7183bfad3f211d6d375661753b9d4ff2a73b3bd7af06d0f442e94af3f64
+DIST pytest-mypy-plugins-2.0.0.gh.tar.gz 18444 BLAKE2B a9def96003d85d76984067194abdbb5259379c09d359be6a3de7d4a68df2f8c7ebd033632c645297062564943b6cdee885c793172338b52110590be6911f6a75 SHA512 743d88884e3eef03cb52ffde82e42522ea961db6a27be3cba17aadceb47e1456ffd20806559dd7a6b183536aba98e592e97e40911199c4defbe66bfceebbf229

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
new file mode 100644
index 000000000..a3bf16184
--- /dev/null
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-2.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_11 )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"
+HOMEPAGE="
+	https://pypi.org/project/pytest-mypy-plugins/
+	https://github.com/typeddjango/pytest-mypy-plugins/
+"
+
+SRC_URI="https://github.com/typeddjango/pytest-mypy-plugins/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.gh.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README* CHANGELOG*"
+
+RDEPEND="
+	>=dev-python/mypy-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/regex[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-03-02  7:10 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-03-02  7:10 [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/ Arthur Zamarin
  -- strict thread matches above, loose matches on Subject: below --
2024-02-25  2:27 Julien Roy
2024-02-25  2:27 Julien Roy
2023-08-29  5:39 Viorel Munteanu
2023-07-01 18:15 Haelwenn Monnier

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox